import { FullTextSearchCodebaseIndex } from "../indexing/FullTextSearch.js";
export async function fullTextRetrieve(prefix, suffix, indexTag) {
    const index = new FullTextSearchCodebaseIndex();
    const searchStrings = prefix.split("\n").slice(-3);
    const results = [];
    searchStrings.forEach(async (searchString) => {
        const chunks = await index.retrieve([indexTag], searchString, 3, undefined, undefined);
        results.push(...chunks);
    });
    return results;
}
